---
title: "Account Settings"
description: "<p>Account Settings describe features/settings for a Lytics account.</p>"
url: "https://www.contentstack.com/docs/developers/apis/lytics-api/v1/account-settings"
product: "Contentstack"
doc_type: "guide"
audience:
  - developers
  - admins
version: "current"
last_updated: "2026-11-05"
---

# Account Settings

Account Settings describe features/settings for a Lytics account.

## Retrieve a Single Account Setting

### Retrieve a Single Account Setting

**GET** `/api/account/setting/{setting}`

Get single Account Setting by slug.

#### URL Parameters

- **setting** (required)
  slug of account setting.

#### Query Parameters

- **account_id** (optional)
  Your Lytics account ID.

#### Headers

- **Authorization** (optional)

#### Sample Response

```json
{
  "can_be_assigned": true,
  "category": "Security",
  "field": {
    "description": "Enforce rule preventing re-use of same password.",
    "editable": false,
    "label": "",
    "name": "Enforce Password History",
    "optional": false,
    "sort_order": 0,
    "type": "boolean",
    "user_config_disabled": false
  },
  "slug": "enforce_password_history",
  "type": "setting",
  "value": null
}
```

## Account Setting Update

### Account Setting Update

**PUT** `/api/account/setting/{setting}`

Post update to Account Setting. See list of possible Settings from the List api.

\`\`sh

curl -XPUT "https://api.lytics.io/api/account/setting/logon\_session\_days" \\

\-H 'Content-type: application/json' \\

\-H 'Authorization: $LIOKEY' \\

\-d '10'

\`\`

#### URL Parameters

- **setting** (required)
  slug of account setting.

#### Query Parameters

- **account_id** (optional)
  Your Lytics account ID.

#### Headers

- **Authorization** (optional)

#### Sample Response

```json
{
  "can_be_assigned": true,
  "category": "Security",
  "field": {
    "description": "Enforce rule preventing re-use of same password.",
    "editable": false,
    "label": "",
    "name": "Enforce Password History",
    "optional": false,
    "sort_order": 0,
    "type": "boolean",
    "user_config_disabled": false
  },
  "slug": "enforce_password_history",
  "type": "setting",
  "value": null
}
```

## Account Setting Delete

### Account Setting Delete

**DELETE** `/api/account/setting/{setting}`

Delete a custom account setting. Given a key for a setting, delete the custom-value.

Note, since account-settings may have default values, this only deletes the entire value that currently exists.

\`\`sh

curl -XDELETE "https://api.lytics.io/api/account/setting/logon\_session\_days" \\

\-H 'Authorization: $LIOKEY'

\`\`

#### URL Parameters

- **setting** (required)
  slug of account setting.

#### Query Parameters

- **account_id** (optional)
  Your Lytics account ID.

#### Headers

- **Authorization** (optional)

#### Sample Response

```json
No Content
```

## Account Setting List

### Account Setting List

**GET** `/api/account/setting`

#### Headers

- **Authorization** (optional)

#### Sample Response

```json
{
  "status": "success",
  "data": [
    {
      "can_be_assigned": true,
      "category": "Security",
      "field": {
        "description": "Enforce rule preventing re-use of same password.",
        "editable": false,
        "label": "",
        "name": "Enforce Password History",
        "optional": false,
        "sort_order": 0,
        "type": "boolean",
        "user_config_disabled": false
      },
      "slug": "enforce_password_history",
      "type": "setting",
      "value": null
    },
    {
      "can_be_assigned": true,
      "category": "Security",
      "field": {
        "description": "Enforce rule forcing high-password complexity.",
        "editable": false,
        "label": "",
        "name": "Enforce Password Complexity",
        "optional": false,
        "sort_order": 0,
        "type": "boolean",
        "user_config_disabled": false
      },
      "slug": "enforce_password_complexity",
      "type": "setting",
      "value": null
    },
    {
      "can_be_assigned": true,
      "category": "Security",
      "field": {
        "description": "Ensure all users have two-factor auth.",
        "editable": false,
        "label": "",
        "name": "All users must have two factor auth.",
        "optional": false,
        "sort_order": 0,
        "type": "boolean",
        "user_config_disabled": false
      },
      "slug": "enforce_two_factor_auth",
      "type": "setting",
      "value": null
    }
  ]
}
```